# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "thirtyfour"
version = "0.29.5"
authors = ["Steve Pryde <steve@stevepryde.com>"]
description = """
Thirtyfour is a Selenium / WebDriver library for Rust, for automated website UI testing.

It supports the full W3C WebDriver spec.
"""
homepage = "https://github.com/stevepryde/thirtyfour"
documentation = "https://docs.rs/thirtyfour"
readme = "README.md"
keywords = [
    "selenium",
    "webdriver",
    "chromedriver",
    "geckodriver",
    "automation",
]
categories = [
    "api-bindings",
    "development-tools::testing",
    "web-programming::http-client",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/stevepryde/thirtyfour"
resolver = "2"

[[example]]
name = "tokio_async"

[[example]]
name = "tokio_basic"

[[example]]
name = "selenium_example"

[[example]]
name = "minimal_async"

[[example]]
name = "chrome_devtools"

[[example]]
name = "chrome_options"

[[example]]
name = "wikipedia"
path = "examples/query/wikipedia.rs"

[[example]]
name = "firefox_preferences"
path = "examples/firefox_preferences.rs"

[[example]]
name = "shadowroot"

[dependencies.async-trait]
version = "0.1"

[dependencies.base64]
version = "0.13"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.cookie]
version = "0.16.0"
features = ["percent-encode"]

[dependencies.fantoccini]
version = "0.19.0"
default-features = false

[dependencies.futures]
version = "0.3"

[dependencies.http]
version = "0.2.6"

[dependencies.log]
version = "0.4"

[dependencies.parking_lot]
version = "0.11"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"
features = ["preserve_order"]

[dependencies.serde_repr]
version = "0.1"

[dependencies.stringmatch]
version = "0.3"

[dependencies.thiserror]
version = "1"

[dependencies.tokio]
version = "1"
features = [
    "fs",
    "macros",
    "rt-multi-thread",
    "io-util",
    "sync",
]

[dependencies.url]
version = "2.2.2"

[dependencies.urlparse]
version = "0.7"

[dev-dependencies.assert_matches]
version = "1.5.0"

[dev-dependencies.color-eyre]
version = "0.5"

[dev-dependencies.regex]
version = "1"

[features]
default = ["rusttls-tls"]
native-tls = ["fantoccini/native-tls"]
rusttls-tls = ["fantoccini/rustls-tls"]
